Name:             centos-release-kmods
Version:          9
Release:          4%{?dist}
Summary:          CentOS Kmods SIG package repositories

License:          GPLv2
URL:              https://sigs.centos.org/kmods

Source0:          RPM-GPG-KEY-CentOS-SIG-Kmods
Source1:          centos-kmods.repo

BuildArch:        noarch

Recommends:       epel-release


%description
This package provides the package repository files for CentOS Kmods SIG.


%prep


%build


%install
%{__install} -m 644 -D -t %{buildroot}%{_sysconfdir}/pki/rpm-gpg %{SOURCE0}
%{__install} -m 644 -D -t %{buildroot}%{_sysconfdir}/yum.repos.d %{SOURCE1}


%clean
%{__rm} -rf %{buildroot}


%files
%{_sysconfdir}/pki/rpm-gpg/RPM-GPG-KEY-CentOS-SIG-Kmods
%config(noreplace) %{_sysconfdir}/yum.repos.d/centos-kmods.repo
%ghost %{_sysconfdir}/yum.repos.d/centos-kmods-userspace.repo


%changelog
* Tue Dec 05 2023 Peter Georg <peter.georg@physik.uni-regensburg.de> - 9-4
- Remove unused testing repos
- Use a single config for all repos

* Mon May 15 2023 Peter Georg <peter.georg@physik.uni-regensburg.de> - 9-3
- Enable gpgcheck for testing repositories

* Tue Feb 13 2023 Peter Georg <peter.georg@physik.uni-regensburg.de> - 9-2
- Add new packages-userspace repos

* Wed Sep 21 2022 Peter Georg <peter.georg@physik.uni-regensburg.de> - 9-1
- Initial release
